RSS Feed
Knowledgebase : Compatibility & Requirements > Dfx v2
Yes. The Mac versions of Dfx are all Universal binaries and will run on hosts that support Intel Macs.
Yes, the Dfx filters are compatible with After Effects CS3.
Yes, the Dfx filters are compatible with Adobe Photoshop CS3.
We _do_ _not_ support the use of Dfx in host applications running under Apple's Rosetta emulation mode. Note: Adobe Photoshop CS3 and After Effects CS3 can optionally run in Rosetta mode while Photoshop CS2 & below and After Effects 7 & below ALWAYS ru...
Yes, Dfx is compatible with Final Cut Pro 6 and Final Cut Studio 2 using Apple's FxPlug format. Earlier versions of Final Cut Pro are not supported because it wasn't until Final Cut Pro 6 that certain, necessary FxPlug features for Dfx to function prop...
Dfx is compatible with the most popular still and video post-production applications for Windows or Macintosh. Still image Plug-In editions: * Adobe Photoshop 7.0 and above (Win) * Photoshop Elements 3.0 and above (Win) * Adobe Photoshop CS2 and a...
We use Apple's FxPlug format for Final Cut Pro which technically should work in Motion as well. Unfortunately, there are a number of bugs with the way Motion implements the FxPlug format which prevent the Dfx filters from working properly. We have repo...
Our Version 2 software is fully compatible with Windows 7. For CS4 Users that want to use 64 bit capability. Use the CS4 windows 64 installer here: http://www.tiffen.com/dfxv2_photoshop.html [1] Links: ------ [1] http://www.tiffen.com/dfxv2_photoshop.ht...
Windows Windows XP Pro, XP Home, Vista , Windows 7 1.0 GHz processor or faster Intel or AMD processor 1GB RAM (2 GB+ recommended) 1GB available disk space for caching and temporary files Open-GL capable graphics card Display with 1024 x 768 resolution or...
Dfx v2 and v3 software are compatible with Snow Leopard 10.6x. However, for v2 you should install the update , please check our download page for the correct 10.6 installer for your product. For Essentials box owners, we have created a private link to d...
Dfx version 3 Plug-in's are fully compatible with Adobe CS6 products. Photo Plug-in: Adobe Photoshop CS6 Video/Film Plug-in: Adobe Premiere Pro CS6, Adobe After Effects CS6 Dfx version 2 is not compatible with Adobe CS6. To upgrade to versi...